# pydicom.values.convert_DA_string

pydicom.values.convert_DA_string(byte_string: bytes, is_little_endian: bool, struct_format: str | None = None) → str | DA | MutableSequence[str] | MutableSequence[DA]

  Return a decoded ‘DA’ value.

  Parameters:

    - byte_string (bytes) – The encoded ‘DA’ element value.

    - is_little_endian (bool) – `True` if the value is encoded as little endian, `False` otherwise.

    - struct_format (str, optional) – Not used.

  Returns:

    If `datetime_conversion` is `True` then returns either `DA` or a `list` of `DA`, otherwise returns `str` or `list` of `str`.

  Return type:

    str or MultiValue of str or valuerep.DA or MultiValue of valuerep.DA